/*
 * This file is part of libtqtvd_astronav
 *
 * Copyright (C) 2008-2017 TQTVD Software
 * Copyright (C) 2017 Mirakulo Software (mirakulo@mirakulo.com)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301  USA
 */

/**
 * @file  BCNativeImage.h
 *
 * AstroNav TQTVD Header of BCNativeImage class.
 *
 */

#ifndef BCNativeImage_H
#define BCNativeImage_H

#include "BINativeImage.h"
#include <graphics/IntSize.h>

#include "IGraphicManagerAdapter.h"

using namespace TQTVD::GraphicManager ;

namespace BAL {

class BCNativeImage : public BINativeImage {

friend class BCGraphicsDeviceGraphicManager;
friend class BTFont;

public:
    BCNativeImage(IGraphicManagerAdapterSurface*);
    virtual ~BCNativeImage();

    virtual IntSize size() const;

    virtual bool hasAlpha();

protected:
     IGraphicManagerAdapterSurface* getNativeGraphicManager() const { return m_surface; }

private:

    /* the primary surface (surface of primary layer) */
    IGraphicManagerAdapterSurface* m_surface;
    bool m_hasAlpha;
    IntSize m_size;
};

}
#endif

